Qt 5.7 | Qt 3D | C++ Classes | QEffect

Qt 5.7.1 Reference Documentation

# QEffect Class

(Qt3DRender::QEffect)

The base class for effects in a Qt 3D scene. More...

Header: | #include <QEffect>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | Effect
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Functions

| QEffect(Qt3DCore::QNode *parent = nullptr)
| ~QEffect()
void | addParameter(QParameter *parameter)
void | addTechnique(QTechnique *t)
QVector<QParameter *> | parameters() const
void | removeParameter(QParameter *parameter)
void | removeTechnique(QTechnique *t)
QVector<QTechnique *> | techniques() const

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QEffect(QEffectPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

The base class for effects in a Qt 3D scene.

The QEffect class combines a set of techniques and parameters used by those techniques to produce a rendering effect for a material.

See also QMaterial, QTechnique, and QParameter.

## Member Function Documentation

### QEffect::QEffect(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QEffect.

### `[protected]` QEffect::QEffect(QEffectPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QEffect::~QEffect()

Destroys the instance of QEffect.

### void QEffect::addParameter(QParameter *parameter)

Adds parameter to the effect. It sends a QPropertyNodeAddedChange to the backend. The parameter will be used to set a corresponding uniform value in the shader used by this effect.

### void QEffect::addTechnique(QTechnique *t)

Adds a new technique t to the effect. It sends a QPropertyNodeAddedChange to the backend.

### QVector<QParameter *> QEffect::parameters() const

Returns the list of parameters used by the effect.

### void QEffect::removeParameter(QParameter *parameter)

Removes a parameter parameter from the effect.

### void QEffect::removeTechnique(QTechnique *t)

Removes a technique t from the effect.

### QVector<QTechnique *> QEffect::techniques() const

Returns the list of techniques used by the effect.